This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 833656 - [Kerberos] Using different machines to register and click activation link produce HTTP 401
[Kerberos] Using different machines to register and click activation link pro...
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Authentication-Kerberos (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 00:29 EDT by Ding-Yi Chen
Modified: 2013-02-14 20:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-14 20:49:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-06-20 00:29:52 EDT
Description of problem:
With Kerberos authentication, if using different machines to register
 and click activation link. It would produce HTTP 401 error.

Version-Release number of selected component (if applicable):
1.7-SNAPSHOT (20120620-1212)

How reproducible:
Always

Steps to Reproduce:
1. Register from machine A.
2. Check the email from machine B, and click the activation link.
  
Actual results:
Failed with HTTP 401

Expected results:
User is activated.
Comment 1 Runa Bhattacharjee 2012-07-30 08:59:01 EDT
Request for technical evaluation.
Comment 2 Sean Flanigan 2012-07-30 22:14:02 EDT
Does machine B have a Kerberos ticket at step 2?
Comment 4 Ding-Yi Chen 2013-02-14 20:49:46 EST
Tested with Zanata version 2.2-SNAPSHOT (20130215-0034).

Without Kerberos ticket at step 2: Fail with 401.
With Kerberos ticket at step 2: Success.

Seem we can close this as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.